<!doctype html>
<html>
    <head>
        <title></title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <p>
                    <a href="{% url "todo_list_create" %}">Create a New List</a>
                </p>
                <p>
                    <a href="{% url "todo_item_create" %}">Create a New Item</a>
                </p>
                <table>
                    <thead>
                        <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todos in todo_list_list%}
                            <tr>
                                <td>
                                    <a href="{% url "todo_list_detail" todos.id %}">{{todos.name}}</a>
                                </td>
                                <td> {{todos.items.all|length}}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
